Skip to main content
GET
/
api
/
v1
/
campaign
/
{campaign_id}
/
progress
Get Campaign Progress
curl --request GET \
  --url https://app.asisso.com/api/v1/campaign/{campaign_id}/progress
import requests

url = "https://app.asisso.com/api/v1/campaign/{campaign_id}/progress"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.asisso.com/api/v1/campaign/{campaign_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "campaign_id": 123,
  "state": "<string>",
  "total_rows": 123,
  "processed_rows": 123,
  "failed_calls": 123,
  "progress_percentage": 123,
  "source_sync": {},
  "rate_limit": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Returns a real-time snapshot of how many contacts have been processed.
FieldDescription
totalTotal number of contacts in the campaign
processedContacts that have been attempted at least once
completedContacts with a successful call outcome
failedContacts that exhausted all retry attempts without success
pendingContacts not yet attempted
completion_percentageprocessed / total × 100

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

campaign_id
integer
required

Response

Successful Response

campaign_id
integer
required
state
string
required
total_rows
integer
required
processed_rows
integer
required
failed_calls
integer
required
progress_percentage
number
required
source_sync
Source Sync · object
required
rate_limit
integer
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required